Skip to main content
GET
/
v1
/
rights
/
bases
List bases
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.api.enfinitos.com/v1/rights/bases', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "ok": true,
  "data": {
    "bases": [
      {
        "id": "<string>",
        "orgId": "<string>",
        "description": "<string>",
        "effectiveFrom": "2023-11-07T05:31:56Z",
        "effectiveUntil": "2023-11-07T05:31:56Z",
        "contentHash": "<string>",
        "createdAt": "2023-11-07T05:31:56Z"
      }
    ],
    "total": 123
  },
  "contractVersion": "<string>"
}

Authorizations

Authorization
string
header
required

API key sent as Authorization: Bearer <api-key>.

Response

All bases.

ok
boolean
required
data
object
required

Route-specific payload. Operation responses refine this.

contractVersion
string
required
Allowed value: "v1.0"